#include <djFileIo.h>
#include <djImage.h>
#include <djImageWidget.h>
#include <djApp.h>

using namespace dj;

class DpxLoad {
public:

  DpxLoad();

  bool open(const Str &);
  bool load(Image *);
  
  const Vec2i & size() const { return _size; }

private:
  FileIo _f;
  Vec2i _size;
  PixelU8 * _lut;
};

class myApp : public App {
public:

  myApp(int & argc, char ** argv);

protected:

  DJ_FL_CALLBACK(myApp, timerCallback)

  StrList _input;
  int _frame;
  Image _image;
  DpxLoad _load;
  Window * _window;
  ImageViewWidget * _widget;
};
